* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  width: 100vw;
  background-color: #000;
}

div.rinnegan {
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 40%;
  left: 41%;
  transform: translate(-50%, -50%);
  
  border: 1px solid #000;
}

div.olho {
  width: 250px;
  height: 250px;
  background-color: #000;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  
  border-radius: 
  0% 100% 0% 100%;
  rotate: -20deg;
}

div.olho-2 {
  width: 250px;
  height: 250px;
  background-color: #000;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  border-radius: 
  0% 100% 0% 100%;
  rotate: 110deg;
}

div.fundo {
  height: 225px;
  width: 225px;
  background-color: #C2B0CB;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 0% 100% 0% 100%;
  overflow: hidden;
}

div.linha {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  border: 2px solid #000;
  animation: rinegan-animation 0.7s infinite ease-in-out ;
}

div.linha:nth-child(1) {
  height: 250px;
  width: 250px;
}

div.linha:nth-child(2) {
  height: 210px;
  width: 210px;
}

div.linha:nth-child(3) {
  height: 180px;
  width: 180px;
}

div.linha:nth-child(4) {
  height: 150px;
  width: 150px;
}

div.linha:nth-child(5) {
  height: 120px;
  width: 120px;
}

div.linha:nth-child(6) {
  height: 73px;
  width: 73px;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.433) ;
  background-color: #9C83A9;
}

div.ponto {
  background-color: black;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  box-shadow: 0px 0px 20px #000;
  position: absolute ;
  top:50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

div.tomoe {
  position: absolute;
  top: 50%;
  left: 50%;

}

@keyframes rinegan-animation {
  0% {

  }

  100% {
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.433) ;
    background-color: #9C83A9;
  }
}
